GET
/
v1
/
webhooks
/
{webhook_id}
Get Webhook
curl --request GET \
  --url https://api.bolt.com/v1/webhooks/{webhook_id} \
  --header 'X-API-Key: <api-key>'
{
  "created_at": 1485997169003,
  "url": "https://eva-nerv.shop.com/path/to/hook",
  "webhook_id": "wh_za7VbYcSQU2zRgGQXQAm-g",
  "events": [
    "pending"
  ]
}

Authorizations

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Path Parameters

webhook_id
string
required

Webhook ID A unique webhook ID. Reference this value to modify or delete the webhook subscription. operations as well.

Example:

"wh_za7VbYcSQU2zRgGQXQAm-g"

Response

Success

created_at
integer
required

Webhook creation time in epoch timestamp milliseconds.

Example:

1485997169003

url
string
required

The full URL to receive webhook notifications.

Example:

"https://eva-nerv.shop.com/path/to/hook"

webhook_id
string
required

A unique webhook ID. Reference this value to modify or delete the webhook subscription. operations as well.

Example:

"wh_za7VbYcSQU2zRgGQXQAm-g"

event_group
enum<string> | null

Subscribe to a group of events. all: subscribe to all existing and future event types

Available options:
all,
null
events
enum<string>[] | null

All events the webhook is subscribed to. Null when event_group = all.

Webhook events that trigger a notification to the URL. Note:newsletter_subscription is only for merchant use cases.

Available options:
payment,
credit,
capture,
void,
auth,
pending,
rejected_irreversible,
rejected_reversible,
failed_payment,
newsletter_subscription,
risk_insights,
credit_card_deleted